Class NetworkEndpointGroupsListEndpointsRequest.Builder (1.98.0)

public static final class NetworkEndpointGroupsListEndpointsRequest.Builder extends GeneratedMessage.Builder<NetworkEndpointGroupsListEndpointsRequest.Builder> implements NetworkEndpointGroupsListEndpointsRequestOrBuilder

Protobuf type google.cloud.compute.v1.NetworkEndpointGroupsListEndpointsRequest

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

build()

public NetworkEndpointGroupsListEndpointsRequest build()
Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest

buildPartial()

public NetworkEndpointGroupsListEndpointsRequest buildPartial()
Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest

clear()

public NetworkEndpointGroupsListEndpointsRequest.Builder clear()
Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest.Builder
Overrides

clearHealthStatus()

public NetworkEndpointGroupsListEndpointsRequest.Builder clearHealthStatus()

Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided. Check the HealthStatus enum for the list of possible values.

optional string health_status = 380545845;

Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest.Builder

This builder for chaining.

getDefaultInstanceForType()

public NetworkEndpointGroupsListEndpointsRequest getDefaultInstanceForType()
Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getHealthStatus()

public String getHealthStatus()

Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided. Check the HealthStatus enum for the list of possible values.

optional string health_status = 380545845;

Returns
Type Description
String

The healthStatus.

getHealthStatusBytes()

public ByteString getHealthStatusBytes()

Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided. Check the HealthStatus enum for the list of possible values.

optional string health_status = 380545845;

Returns
Type Description
ByteString

The bytes for healthStatus.

hasHealthStatus()

public boolean hasHealthStatus()

Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided. Check the HealthStatus enum for the list of possible values.

optional string health_status = 380545845;

Returns
Type Description
boolean

Whether the healthStatus field is set.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(NetworkEndpointGroupsListEndpointsRequest other)

public NetworkEndpointGroupsListEndpointsRequest.Builder mergeFrom(NetworkEndpointGroupsListEndpointsRequest other)
Parameter
Name Description
other NetworkEndpointGroupsListEndpointsRequest
Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public NetworkEndpointGroupsListEndpointsRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public NetworkEndpointGroupsListEndpointsRequest.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest.Builder
Overrides

setHealthStatus(String value)

public NetworkEndpointGroupsListEndpointsRequest.Builder setHealthStatus(String value)

Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided. Check the HealthStatus enum for the list of possible values.

optional string health_status = 380545845;

Parameter
Name Description
value String

The healthStatus to set.

Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest.Builder

This builder for chaining.

setHealthStatusBytes(ByteString value)

public NetworkEndpointGroupsListEndpointsRequest.Builder setHealthStatusBytes(ByteString value)

Optional query parameter for showing the health status of each network endpoint. Valid options are SKIP or SHOW. If you don't specify this parameter, the health status of network endpoints will not be provided. Check the HealthStatus enum for the list of possible values.

optional string health_status = 380545845;

Parameter
Name Description
value ByteString

The bytes for healthStatus to set.

Returns
Type Description
NetworkEndpointGroupsListEndpointsRequest.Builder

This builder for chaining.